Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 2031)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters,
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 2031)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2026 2016-10-18 10:27:02Z suehring
 ! Bugfix, enable output of s*2
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 2031)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 2031)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters,
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 2031)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- palm/trunk/SOURCE/diffusivities.f90	(revision 2031)
+++ palm/trunk/SOURCE/diffusivities.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/eqn_state_seawater.f90
===================================================================
--- palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 2031)
+++ palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 2031)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2026 2016-10-18 10:27:02Z suehring
 ! Bugfix, enable output of s*2.
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 2031)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters.
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 2031)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/init_ocean.f90
===================================================================
--- palm/trunk/SOURCE/init_ocean.f90	(revision 2031)
+++ palm/trunk/SOURCE/init_ocean.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho_init to rho_ocean_init
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho_init to rho_ocean_init
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2031)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/microphysics_mod.f90
===================================================================
--- palm/trunk/SOURCE/microphysics_mod.f90	(revision 2031)
+++ palm/trunk/SOURCE/microphysics_mod.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 2031)
+++ palm/trunk/SOURCE/modules.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 2011 2016-09-19 17:29:57Z kanani
 ! +urban_surface, +lsf_exception, +varnamelength
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2031)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters,
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 2031)
+++ palm/trunk/SOURCE/production_e.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 2031)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters.
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 2031)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho_av to rho_ocean_av
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho_av to rho_ocean_av
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 2031)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
+! 
 ! 2024 2016-10-12 16:42:37Z kanani
 ! Added missing CASE for ssws*
Index: palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- palm/trunk/SOURCE/surface_coupler.f90	(revision 2031)
+++ palm/trunk/SOURCE/surface_coupler.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 2031)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters,
Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2031)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2032)
@@ -21,5 +21,5 @@
 ! Current revisions:
 ! ------------------
-! renamed variable rho to rho_ocean
+! 
 ! 
 ! Former revisions:
@@ -27,4 +27,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho to rho_ocean
+! 
 ! 2024 2016-10-12 16:42:37Z kanani
 ! Bugfixes in deallocation of array plantt and reading of csf/csfsurf,
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 2031)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 2032)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! renamed variable rho_av to rho_ocean_av
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2031 2016-10-21 15:11:58Z knoop
+! renamed variable rho_av to rho_ocean_av
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns