Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg	(revision 1959)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg	(revision 2034)
@@ -53,56 +53,60 @@
 #
 # HLRN-III Hannover
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel rrtmg
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel rrtmg
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayh parallel rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayh parallel rrtmg
 %compiler_name       ftn                                                lccrayh parallel rrtmg
 %compiler_name_ser   ftn                                                lccrayh parallel rrtmg
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayh parallel rrtmg
 %mopts               -j:4                                               lccrayh parallel rrtmg
-%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-I:/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/include   lccrayh parallel rrtmg
-%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/lib:-lrrtmg           lccrayh parallel rrtmg
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-I:/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/include              lccrayh parallel rrtmg
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/lib:-lrrtmg  lccrayh parallel rrtmg
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel rrtmg
 %memory              2300                                               lccrayh parallel rrtmg
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel rrtmg
+%login_init_cmd      module:unload:cray-netcdf                          lccrayh parallel rrtmg
 #
 # HLRN-III Hannover debug/trace mode
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace_rrtmg
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace_rrtmg
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayh parallel trace_rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayh parallel trace_rrtmg
 %compiler_name       ftn                                                lccrayh parallel trace_rrtmg
 %compiler_name_ser   ftn                                                lccrayh parallel trace_rrtmg
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayh parallel trace_rrtmg
 %mopts               -j:4                                               lccrayh parallel trace_rrtmg
-%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-I:/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/include  lccrayh parallel trace_rrtmg
-%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/lib:-lrrtmg             lccrayh parallel trace_rrtmg
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc:-I:/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/include  lccrayh parallel trace_rrtmg
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/lib:-lrrtmg             lccrayh parallel trace_rrtmg
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel trace_rrtmg
 %memory              2300                                               lccrayh parallel trace_rrtmg
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel trace_rrtmg
+%login_init_cmd      module:unload:cray-netcdf                          lccrayh parallel trace_rrtmg
 #
 # HLRN-III Berlin
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel rrtmg
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel rrtmg
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayb parallel rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayb parallel rrtmg
 %compiler_name       ftn                                                lccrayb parallel rrtmg
 %compiler_name_ser   ftn                                                lccrayb parallel rrtmg
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayb parallel rrtmg
 %mopts               -j:4                                               lccrayb parallel rrtmg
-%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-I:/home/b/<replace_by_your_HLRN_username>/rrtmg/shared/include  lccrayb parallel rrtmg
-%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/lib:-lrrtmg           lccrayb parallel rrtmg
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-I:/home/b/<replace_by_your_HLRN_username>/rrtmg/shared/include              lccrayb parallel rrtmg
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/lib:-lrrtmg  lccrayb parallel rrtmg
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel rrtmg
 %memory              2300                                               lccrayb parallel rrtmg
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel rrtmg
+%login_init_cmd      module:unload:cray-netcdf                          lccrayb parallel rrtmg
 #
 # HLRN-III Berlin debug/trace mode
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace_rrtmg
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace_rrtmg
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayb parallel trace_rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayb parallel trace_rrtmg
 %compiler_name       ftn                                                lccrayb parallel trace_rrtmg
 %compiler_name_ser   ftn                                                lccrayb parallel trace_rrtmg
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayb parallel trace_rrtmg
 %mopts               -j:4                                               lccrayb parallel trace_rrtmg
-%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-I:/home/b/<replace_by_your_HLRN_username>/rrtmg/static_trace/include   lccrayb parallel trace_rrtmg
-%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/lib:-lrrtmg             lccrayb parallel trace_rrtmg
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc:-I:/home/b/<replace_by_your_HLRN_username>/rrtmg/static_trace/include   lccrayb parallel trace_rrtmg
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/lib:-lrrtmg             lccrayb parallel trace_rrtmg
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel trace_rrtmg
 %memory              2300                                               lccrayb parallel trace_rrtmg
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel trace_rrtmg
-#
-%write_binary                true                             restart
+%login_init_cmd      module:unload:cray-netcdf                          lccrayb parallel trace_rrtmg
+#
+%write_binary        true                             restart
 #
 #----------------------------------------------------------------------------
@@ -112,6 +116,22 @@
 IC:[[ \$localhost = lccrayb ]]  &&  export ATP_ENABLED=1
 IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
+#IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_LIMITS=1
+#IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_STACK_LIMIT=0
+#IC:[[ \$localhost = lccrayb ]]  &&  ulimit -v unlimited
+#IC:[[ \$localhost = lccrayb ]]  &&  ulimit -s unlimited
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_STATS=1
+#IC:[[ \$localhost = lccrayb ]]  &&  E8="=8"
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
 IC:[[ \$localhost = lccrayh ]]  &&  export ATP_ENABLED=1
 IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
+#IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_LIMITS=1
+#IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_STACK_LIMIT=0
+#IC:[[ \$localhost = lccrayh ]]  &&  ulimit -v unlimited
+#IC:[[ \$localhost = lccrayh ]]  &&  ulimit -s unlimited
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_STATS=1
+#IC:[[ \$localhost = lccrayh ]]  &&  E8="=8"
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
 #
 #----------------------------------------------------------------------------
@@ -119,5 +139,4 @@
 #----------------------------------------------------------------------------
 EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:pwd; ls -al
 #
 #----------------------------------------------------------------------------
@@ -139,5 +158,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
-BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+BININ                    in:loc:flpe   d3f:cycfill  $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
 DATA_1D_FL_NETCDF        in:locopt     flf      $base_data/$fname/OUTPUT   _fl     nc