Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 2037)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 2038)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$ 
+! 
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
 ! 
 ! 2000 2016-08-20 18:09:15Z knoop
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 2037)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2031 2016-10-21 15:11:58Z knoop
 ! renamed variable rho to rho_ocean
Index: /palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_e.f90	(revision 2037)
+++ /palm/trunk/SOURCE/diffusion_e.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_s.f90	(revision 2037)
+++ /palm/trunk/SOURCE/diffusion_s.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_u.f90	(revision 2037)
+++ /palm/trunk/SOURCE/diffusion_u.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_v.f90	(revision 2037)
+++ /palm/trunk/SOURCE/diffusion_v.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 2037)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/disturb_heatflux.f90
===================================================================
--- /palm/trunk/SOURCE/disturb_heatflux.f90	(revision 2037)
+++ /palm/trunk/SOURCE/disturb_heatflux.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 2037)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2031 2016-10-21 15:11:58Z knoop
 ! renamed variable rho to rho_ocean
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 2037)
+++ /palm/trunk/SOURCE/header.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 2037)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2031 2016-10-21 15:11:58Z knoop
 ! renamed variable rho to rho_ocean
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 2037)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2021 2016-10-07 14:08:57Z suehring
 ! Bugfix: setting Neumann boundary conditions for topography required for 
Index: /palm/trunk/SOURCE/ls_forcing_mod.f90
===================================================================
--- /palm/trunk/SOURCE/ls_forcing_mod.f90	(revision 2037)
+++ /palm/trunk/SOURCE/ls_forcing_mod.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 2037)
+++ /palm/trunk/SOURCE/modules.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2031 2016-10-21 15:11:58Z knoop
 ! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
Index: /palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2037)
+++ /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2031 2016-10-21 15:11:58Z knoop
 ! renamed variable rho to rho_ocean
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 2037)
+++ /palm/trunk/SOURCE/parin.f90	(revision 2038)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! 
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
 ! 
 ! 2035 2016-10-24 15:06:17Z suehring
Index: /palm/trunk/SOURCE/poismg_mod.f90
===================================================================
--- /palm/trunk/SOURCE/poismg_mod.f90	(revision 2037)
+++ /palm/trunk/SOURCE/poismg_mod.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented (stll error in optimized multigrid)
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented (stll error in optimized multigrid)
+! 
 ! 2021 2016-10-07 14:08:57Z suehring
 ! Bugfix: restore nest_bound_(l/r/s/n) in case of mg_switch_to_pe0
Index: /palm/trunk/SOURCE/poismg_noopt.f90
===================================================================
--- /palm/trunk/SOURCE/poismg_noopt.f90	(revision 2037)
+++ /palm/trunk/SOURCE/poismg_noopt.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2021 2016-10-07 14:08:57Z suehring
 ! Bugfix: restore nest_bound_(l/r/s/n) in case of mg_switch_to_pe0
Index: /palm/trunk/SOURCE/pres.f90
===================================================================
--- /palm/trunk/SOURCE/pres.f90	(revision 2037)
+++ /palm/trunk/SOURCE/pres.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/sor.f90
===================================================================
--- /palm/trunk/SOURCE/sor.f90	(revision 2037)
+++ /palm/trunk/SOURCE/sor.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2037)
+++ /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters.
Index: /palm/trunk/SOURCE/tridia_solver_mod.f90
===================================================================
--- /palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 2037)
+++ /palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 2038)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Anelastic approximation implemented
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2037 2016-10-26 11:15:40Z knoop
+! Anelastic approximation implemented
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns