Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 2038)
+++ palm/trunk/SOURCE/check_open.f90	(revision 2039)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Removed open of file 'PLOTTS_DATA' ( CASE(50:59) ) as it is no longer needed
 ! 
 ! Former revisions:
@@ -163,7 +163,4 @@
         ONLY:  cross_ts_numbers, cross_ts_number_count
 
-    USE statistics,                                                            &
-        ONLY:  region, statistic_regions
-
 
     IMPLICIT NONE
@@ -524,62 +521,4 @@
           ENDIF
 
-       CASE ( 50:59 )
-
-          IF ( statistic_regions == 0  .AND.  file_id == 50 )  THEN
-             suffix = ''
-          ELSE
-             WRITE ( suffix, '(''_'',I1)' )  file_id - 50
-          ENDIF
-          OPEN ( file_id, FILE='PLOTTS_DATA'//TRIM( coupling_char )//          &
-                               TRIM( suffix ),                                 &
-                          FORM='FORMATTED', RECL=496 )
-!
-!--       Write PROFIL parameter file for output of time series
-!--       NOTE: To be on the safe side, this output is done at the beginning of
-!--             the model run (in case of collapse) and it is repeated in
-!--             close_file, then, however, with value ranges for the coordinate
-!--             systems
-!
-!--       Firstly determine the number of the coordinate systems to be drawn
-          cranz = 0
-          DO  j = 1, 10
-             IF ( cross_ts_number_count(j) /= 0 )  cranz = cranz+1
-          ENDDO
-          rtext = '\1.0 ' // TRIM( run_description_header ) // '    ' //       &
-                  TRIM( region( file_id - 50 ) )
-!
-!--       Write RAHMEN parameter
-          OPEN ( 90, FILE='PLOTTS_PAR'//TRIM( coupling_char )//                &
-                           TRIM( suffix ),                                     &
-                     FORM='FORMATTED', DELIM='APOSTROPHE' )
-          WRITE ( 90, RAHMEN )
-!
-!--       Determine and write CROSS parameters for the individual coordinate 
-!--       systems
-          DO  j = 1, 10
-             k = cross_ts_number_count(j)
-             IF ( k /= 0 )  THEN
-!
-!--             Store curve numbers, colours and line style
-                klist(1:k) = cross_ts_numbers(1:k,j)
-                klist(k+1:10) = 999999
-!
-!--             Write CROSS parameter
-                WRITE ( 90, CROSS )
-
-             ENDIF
-          ENDDO
-
-          CLOSE ( 90 )
-!
-!--       Write all labels at the top of the data file, but only during the 
-!--       first run of a sequence of jobs. The following jobs copy the time
-!--       series data to the bottom of that file.
-          IF ( runnr == 0 )  THEN
-             WRITE ( file_id, 5000 )  TRIM( run_description_header ) //        &
-                                      '    ' // TRIM( region( file_id - 50 ) )
-          ENDIF
-
-
        CASE ( 80 )
 
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 2038)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 2039)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Removed check for statistic_regions > 9.
 ! 
 ! Former revisions:
@@ -1985,10 +1985,8 @@
 
 !
-!-- Check number of chosen statistic regions. More than 10 regions are not
-!-- allowed, because so far no more than 10 corresponding output files can
-!-- be opened (cf. check_open)
-    IF ( statistic_regions > 9  .OR.  statistic_regions < 0 )  THEN
+!-- Check number of chosen statistic regions
+    IF ( statistic_regions < 0 )  THEN
        WRITE ( message_string, * ) 'number of statistic_regions = ',           &
-                   statistic_regions+1, ' but only 10 regions are allowed'
+                   statistic_regions+1, ' is not allowed'
        CALL message( 'check_parameters', 'PA0082', 1, 2, 0, 6, 0 )
     ENDIF
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2038)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2039)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Increased number of possible statistic_regions to 99
 ! 
 ! Former revisions:
@@ -341,7 +341,7 @@
     INTEGER(iwp), DIMENSION(dopts_num,0:10) ::  id_var_dopts
     INTEGER(iwp), DIMENSION(0:1,500)        ::  id_var_do2d, id_var_do3d
-    INTEGER(iwp), DIMENSION(100,0:9)        ::  id_dim_z_pr, id_var_dopr, &
+    INTEGER(iwp), DIMENSION(100,0:99)       ::  id_dim_z_pr, id_var_dopr, &
                                                 id_var_z_pr
-    INTEGER(iwp), DIMENSION(dots_max,0:9)   ::  id_var_dots
+    INTEGER(iwp), DIMENSION(dots_max,0:99)  ::  id_var_dots
 
 !
@@ -469,7 +469,6 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=2)              ::  suffix                !<
+    CHARACTER (LEN=3)              ::  suffix                !<
     CHARACTER (LEN=2), INTENT (IN) ::  callmode              !<
-    CHARACTER (LEN=3)              ::  suffix1               !<
     CHARACTER (LEN=4)              ::  grid_x                !<
     CHARACTER (LEN=4)              ::  grid_y                !<
@@ -3955,5 +3954,5 @@
 !--             names
                 DO  j = 0, statistic_regions
-                   WRITE ( suffix, '(''_'',I1)' )  j
+                   WRITE ( suffix, '(''_'',I2.2)' )  j
 
 !
@@ -4042,5 +4041,5 @@
              ELSE
                 DO  j = 0, statistic_regions
-                   WRITE ( suffix, '(''_'',I1)' )  j
+                   WRITE ( suffix, '(''_'',I2.2)' )  j
                    var_list = TRIM( var_list ) // TRIM( data_output_pr(i) ) // &
                               suffix // ';'
@@ -4110,5 +4109,5 @@
              ELSE
                 DO  j = 0, statistic_regions
-                   WRITE ( suffix, '(''_'',I1)' )  j
+                   WRITE ( suffix, '(''_'',I2.2)' )  j
                    netcdf_var_name = TRIM( data_output_pr(i) ) // suffix
                    nc_stat = NF90_INQ_VARID( id_set_pr, netcdf_var_name, &
@@ -4192,5 +4191,5 @@
 !--             names
                 DO  j = 0, statistic_regions
-                   WRITE ( suffix, '(''_'',I1)' )  j
+                   WRITE ( suffix, '(''_'',I2.2)' )  j
 
                    CALL netcdf_create_var( id_set_ts, (/ id_dim_time_ts /),    &
@@ -4241,5 +4240,5 @@
              ELSE
                 DO  j = 0, statistic_regions
-                   WRITE ( suffix, '(''_'',I1)' )  j
+                   WRITE ( suffix, '(''_'',I2.2)' )  j
                    var_list = TRIM( var_list ) // TRIM( dots_label(i) ) // &
                               suffix // ';'
@@ -4309,5 +4308,5 @@
              ELSE
                 DO  j = 0, statistic_regions
-                   WRITE ( suffix, '(''_'',I1)' )  j
+                   WRITE ( suffix, '(''_'',I2.2)' )  j
                    netcdf_var_name = TRIM( dots_label(i) ) // suffix
                    nc_stat = NF90_INQ_VARID( id_set_ts, netcdf_var_name, &
@@ -4870,12 +4869,12 @@
 
                 IF ( j == 0 )  THEN
-                   suffix1 = ''
+                   suffix = ''
                 ELSE
-                   WRITE ( suffix1, '(''_'',I2.2)' )  j
+                   WRITE ( suffix, '(''_'',I2.2)' )  j
                 ENDIF
 
                 IF ( j == 0 )  THEN
                    CALL netcdf_create_var( id_set_pts, (/ id_dim_time_pts /),  &
-                                           TRIM( dopts_label(i) ) // suffix1,  &
+                                           TRIM( dopts_label(i) ) // suffix,  &
                                            nc_precision(6), id_var_dopts(i,j), &
                                            TRIM( dopts_unit(i) ),              &
@@ -4884,13 +4883,13 @@
                 ELSE
                    CALL netcdf_create_var( id_set_pts, (/ id_dim_time_pts /),  &
-                                           TRIM( dopts_label(i) ) // suffix1,  &
+                                           TRIM( dopts_label(i) ) // suffix,  &
                                            nc_precision(6), id_var_dopts(i,j), &
                                            TRIM( dopts_unit(i) ),              &
                                            TRIM( dopts_label(i) ) // ' PG ' // &
-                                           suffix1(2:3), 400, 401, 402 )
+                                           suffix(2:3), 400, 401, 402 )
                 ENDIF
 
                 var_list = TRIM( var_list ) // TRIM( dopts_label(i) ) // &
-                           suffix1 // ';'
+                           suffix // ';'
 
                 IF ( number_of_particle_groups == 1 )  EXIT
@@ -4932,11 +4931,11 @@
 
                 IF ( j == 0 )  THEN
-                   suffix1 = ''
+                   suffix = ''
                 ELSE
-                   WRITE ( suffix1, '(''_'',I2.2)' )  j
+                   WRITE ( suffix, '(''_'',I2.2)' )  j
                 ENDIF
 
                 var_list = TRIM( var_list ) // TRIM( dopts_label(i) ) // &
-                           suffix1 // ';'
+                           suffix // ';'
 
                 IF ( number_of_particle_groups == 1 )  EXIT
@@ -5003,10 +5002,10 @@
 
                 IF ( j == 0 )  THEN
-                   suffix1 = ''
+                   suffix = ''
                 ELSE
-                   WRITE ( suffix1, '(''_'',I2.2)' )  j
+                   WRITE ( suffix, '(''_'',I2.2)' )  j
                 ENDIF
 
-                netcdf_var_name = TRIM( dopts_label(i) ) // suffix1
+                netcdf_var_name = TRIM( dopts_label(i) ) // suffix
 
                 nc_stat = NF90_INQ_VARID( id_set_pts, netcdf_var_name, &