Index: /palm/trunk/SCRIPTS/palm_jm
===================================================================
--- /palm/trunk/SCRIPTS/palm_jm	(revision 2066)
+++ /palm/trunk/SCRIPTS/palm_jm	(revision 2067)
@@ -91,5 +91,5 @@
 
         # Load predefined mainwindow
-        uic.loadUi('palm_jm_files/palm_jm.ui', self)
+        uic.loadUi(palm_bin + '/palm_jm_files/palm_jm.ui', self)
     
         # Display MainWindow
@@ -359,5 +359,5 @@
         super(CreateSetBox, self).__init__()
         
-        uic.loadUi('palm_jm_files/palm_jm_create_set.ui', self)
+        uic.loadUi(palm_bin + '/palm_jm_files/palm_jm_create_set.ui', self)
         
         self.show()
Index: /palm/trunk/UTIL/mrungui/mainwindow.cpp
===================================================================
--- /palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 2066)
+++ /palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 2067)
@@ -18,5 +18,5 @@
 // Current revisions:
 // -----------------
-//
+// Added support for PALM job manager
 //
 // Former revisions:
@@ -1281,4 +1281,12 @@
 {
     return system("nohup palm_wd >> /dev/null 2>&1 &");
+
+}
+
+//****************************************************************************//
+//  Start job manager (palm_jm)
+int MainWindow::start_jobmanager()
+{
+    return system("nohup palm_jm >> /dev/null 2>&1 &");
 
 }
Index: /palm/trunk/UTIL/mrungui/mainwindow.h
===================================================================
--- /palm/trunk/UTIL/mrungui/mainwindow.h	(revision 2066)
+++ /palm/trunk/UTIL/mrungui/mainwindow.h	(revision 2067)
@@ -62,4 +62,5 @@
     int save_to_file();
     int save_default();
+    int start_jobmanager();
     int start_watchdog();
     int open_from_file();
Index: /palm/trunk/UTIL/mrungui/mainwindow.ui
===================================================================
--- /palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 2066)
+++ /palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 2067)
@@ -1359,8 +1359,8 @@
     <property name="geometry">
      <rect>
-      <x>2175</x>
-      <y>98</y>
+      <x>4137</x>
+      <y>194</y>
       <width>159</width>
-      <height>186</height>
+      <height>163</height>
      </rect>
     </property>
@@ -1376,5 +1376,4 @@
     <addaction name="action_save"/>
     <addaction name="action_default"/>
-    <addaction name="action_start_wd"/>
     <addaction name="action_quit"/>
    </widget>
@@ -1386,5 +1385,13 @@
     <addaction name="action_about"/>
    </widget>
+   <widget class="QMenu" name="menuTools">
+    <property name="title">
+     <string>Tools</string>
+    </property>
+    <addaction name="action_start_watchdog"/>
+    <addaction name="action_start_jobmanager"/>
+   </widget>
    <addaction name="menuStart"/>
+   <addaction name="menuTools"/>
    <addaction name="menuHelp"/>
   </widget>
@@ -1441,4 +1448,19 @@
    <property name="text">
     <string>Start watchdog</string>
+   </property>
+  </action>
+  <action name="actionStart_job_manager">
+   <property name="text">
+    <string>Start job manager</string>
+   </property>
+  </action>
+  <action name="action_start_watchdog">
+   <property name="text">
+    <string>Watchdog</string>
+   </property>
+  </action>
+  <action name="action_start_jobmanager">
+   <property name="text">
+    <string>Job manager</string>
    </property>
   </action>
@@ -1556,5 +1578,5 @@
     <hint type="sourcelabel">
      <x>222</x>
-     <y>296</y>
+     <y>326</y>
     </hint>
     <hint type="destinationlabel">
@@ -1652,5 +1674,5 @@
     <hint type="sourcelabel">
      <x>413</x>
-     <y>141</y>
+     <y>164</y>
     </hint>
     <hint type="destinationlabel">
@@ -1764,5 +1786,5 @@
     <hint type="sourcelabel">
      <x>270</x>
-     <y>295</y>
+     <y>326</y>
     </hint>
     <hint type="destinationlabel">
@@ -1908,5 +1930,5 @@
     <hint type="sourcelabel">
      <x>606</x>
-     <y>216</y>
+     <y>239</y>
     </hint>
     <hint type="destinationlabel">
@@ -1940,5 +1962,5 @@
     <hint type="sourcelabel">
      <x>617</x>
-     <y>266</y>
+     <y>289</y>
     </hint>
     <hint type="destinationlabel">
@@ -2132,5 +2154,5 @@
     <hint type="sourcelabel">
      <x>805</x>
-     <y>389</y>
+     <y>421</y>
     </hint>
     <hint type="destinationlabel">
@@ -2292,5 +2314,5 @@
     <hint type="sourcelabel">
      <x>900</x>
-     <y>343</y>
+     <y>371</y>
     </hint>
     <hint type="destinationlabel">
@@ -2420,5 +2442,5 @@
     <hint type="sourcelabel">
      <x>175</x>
-     <y>66</y>
+     <y>91</y>
     </hint>
     <hint type="destinationlabel">
@@ -2445,8 +2467,24 @@
   </connection>
   <connection>
-   <sender>action_start_wd</sender>
+   <sender>check_cycfill</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_rc_list()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>280</x>
+     <y>622</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>4</x>
+     <y>510</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>action_start_jobmanager</sender>
    <signal>triggered()</signal>
    <receiver>MainWindow</receiver>
-   <slot>start_watchdog()</slot>
+   <slot>start_jobmanager()</slot>
    <hints>
     <hint type="sourcelabel">
@@ -2461,16 +2499,16 @@
   </connection>
   <connection>
-   <sender>check_cycfill</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>change_rc_list()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>336</x>
-     <y>526</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>4</x>
-     <y>510</y>
+   <sender>action_start_watchdog</sender>
+   <signal>triggered()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>start_watchdog()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>458</x>
+     <y>344</y>
     </hint>
    </hints>
@@ -2495,4 +2533,5 @@
   <slot>help()</slot>
   <slot>start_watchdog()</slot>
+  <slot>start_jobmanager()</slot>
  </slots>
 </ui>