Index: palm/trunk/UTIL/mrungui/about.ui
===================================================================
--- palm/trunk/UTIL/mrungui/about.ui	(revision 2068)
+++ palm/trunk/UTIL/mrungui/about.ui	(revision 2069)
@@ -7,15 +7,15 @@
     <x>0</x>
     <y>0</y>
-    <width>280</width>
-    <height>129</height>
+    <width>300</width>
+    <height>127</height>
    </rect>
   </property>
   <property name="windowTitle">
-   <string>About MRUN gui</string>
+   <string>About mrungui</string>
   </property>
   <widget class="QPushButton" name="button_ok">
    <property name="geometry">
     <rect>
-     <x>180</x>
+     <x>195</x>
      <y>95</y>
      <width>91</width>
@@ -25,23 +25,4 @@
    <property name="text">
     <string>Close</string>
-   </property>
-  </widget>
-  <widget class="QLabel" name="label_3">
-   <property name="geometry">
-    <rect>
-     <x>10</x>
-     <y>100</y>
-     <width>141</width>
-     <height>21</height>
-    </rect>
-   </property>
-   <property name="text">
-    <string>Based on Qt 4.7.4</string>
-   </property>
-   <property name="alignment">
-    <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-   </property>
-   <property name="wordWrap">
-    <bool>true</bool>
    </property>
   </widget>
@@ -63,18 +44,18 @@
    </property>
    <property name="text">
-    <string>MRUN gui $Rev$</string>
+    <string>mrungui</string>
    </property>
   </widget>
-  <widget class="QLabel" name="label_4">
+  <widget class="QLabel" name="label_5">
    <property name="geometry">
     <rect>
      <x>10</x>
-     <y>75</y>
-     <width>211</width>
-     <height>31</height>
+     <y>60</y>
+     <width>261</width>
+     <height>36</height>
     </rect>
    </property>
    <property name="text">
-    <string>$LastChangedBy$</string>
+    <string>http://palm.muk.uni-hannover.de/</string>
    </property>
    <property name="alignment">
@@ -85,21 +66,22 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label_5">
+  <widget class="QLabel" name="label_3">
    <property name="geometry">
     <rect>
      <x>10</x>
-     <y>40</y>
-     <width>261</width>
-     <height>31</height>
+     <y>25</y>
+     <width>274</width>
+     <height>41</height>
     </rect>
    </property>
+   <property name="font">
+    <font>
+     <pointsize>12</pointsize>
+     <weight>75</weight>
+     <bold>true</bold>
+    </font>
+   </property>
    <property name="text">
-    <string>Written by the PALM group. Visit us at                                    http://palm.muk.uni-hannover.de/</string>
-   </property>
-   <property name="alignment">
-    <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-   </property>
-   <property name="wordWrap">
-    <bool>true</bool>
+    <string>A graphical user interface for PALM</string>
    </property>
   </widget>
Index: palm/trunk/UTIL/mrungui/mainwindow.cpp
===================================================================
--- palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 2068)
+++ palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 2069)
@@ -18,5 +18,6 @@
 // Current revisions:
 // -----------------
-//
+// Bugfix: keep xterm alive for interactive runs
+// Changed: some style improvements
 //
 // Former revisions:
@@ -221,5 +222,8 @@
     QString mrunline = ui->commandline->text();
     QString userline = ui->line_user->text();
-
+    QRect   geomet;
+    QString posx;
+    QString posy;
+    
 //  Check for empty line
     mrunline_save = mrunline;
@@ -243,5 +247,5 @@
     branch = branch.left(branch.length() - 14);
 
-    ui->commandline->setText("Executing MRUN in xterm...");
+    ui->commandline->setText("Executing mrun in xterm...");
 
 //  Wait until all commands have been executed (ugly)
@@ -254,7 +258,12 @@
     mrun.setWorkingDirectory(branch);
 
-    mrunline = " -title \"Executing MRUN...\" -geometry \"100x55+970+0\" -e \""\
+    geomet = frameGeometry();
+    
+    posx=QString::number(geomet.x()+geomet.width());
+    posy=QString::number(geomet.y());
+  
+    mrunline = " -title \"Executing mrun...\" -fa \"Monospace\" -fs 11 -geometry \"80x38+"+posx+"+"+posy+"\" -e \""\
           +mrunline.replace("\"","\'")\
-          +";echo -n '--> Press Enter to continue...';read yesno\"";
+          +";echo -n '--> Press enter to continue...';read yesno\"</dev/stdin";
 
     mrun.start("xterm"+mrunline);
@@ -295,5 +304,5 @@
     ui->button_start->setEnabled(true);
     ui->action_save->setEnabled(true);
-    ui->button_start->setText("MRUN Start");
+    ui->button_start->setText("Start mrun");
     ui->commandline->setText(mrunline_save);
 
@@ -577,9 +586,9 @@
            if (usercode.exists() == true)
            {
-               ui->label_usercode->setText("User code found.");
+               ui->label_usercode->setText("<font color='green'>User code found.</font>");
            }
            else
            {
-               ui->label_usercode->setText("Warning: no user code found!");
+               ui->label_usercode->setText("<font color='red'>Warning: no user code found!</font>");
            }
 
@@ -595,5 +604,5 @@
               else
               {
-                 ui->label_restart->setText("Warning: No p3df file found!");
+                 ui->label_restart->setText("<font color='red'>Warning: No p3df file found!</font>");
               }
            }
@@ -767,5 +776,5 @@
                else
                {
-                  ui->label_restart->setText("Warning: No p3df file found!");
+                  ui->label_restart->setText("<font color='red'>Warning: No p3df file found!</font>");
                }
             }
@@ -1716,6 +1725,6 @@
                       else
                       {
-                         ui->label_restart->setText("Warning: No p3df file \
-                                                    found!");
+                         ui->label_restart->setText("<font color='red'>Warning: No p3df file \
+                                                    found!</font>");
                       }
                    }
Index: palm/trunk/UTIL/mrungui/mainwindow.ui
===================================================================
--- palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 2068)
+++ palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 2069)
@@ -24,5 +24,5 @@
   </property>
   <property name="windowTitle">
-   <string>MRUN gui</string>
+   <string>mrungui</string>
   </property>
   <property name="iconSize">
@@ -57,7 +57,7 @@
      <property name="geometry">
       <rect>
-       <x>120</x>
+       <x>140</x>
        <y>10</y>
-       <width>100</width>
+       <width>90</width>
        <height>24</height>
       </rect>
@@ -75,10 +75,10 @@
        <x>10</x>
        <y>10</y>
-       <width>100</width>
+       <width>120</width>
        <height>24</height>
       </rect>
      </property>
      <property name="text">
-      <string>MRUN Start</string>
+      <string>Start mrun</string>
      </property>
     </widget>
@@ -111,7 +111,7 @@
      <property name="geometry">
       <rect>
-       <x>230</x>
+       <x>240</x>
        <y>10</y>
-       <width>100</width>
+       <width>90</width>
        <height>24</height>
       </rect>
@@ -1353,5 +1353,5 @@
      <y>0</y>
      <width>917</width>
-     <height>20</height>
+     <height>21</height>
     </rect>
    </property>
@@ -1361,6 +1361,6 @@
       <x>4137</x>
       <y>194</y>
-      <width>159</width>
-      <height>163</height>
+      <width>133</width>
+      <height>182</height>
      </rect>
     </property>
@@ -1426,5 +1426,5 @@
   <action name="action_about">
    <property name="text">
-    <string>About MRUN gui</string>
+    <string>About mrungui</string>
    </property>
   </action>