Index: /palm/trunk/SOURCE/ls_forcing_mod.f90
===================================================================
--- /palm/trunk/SOURCE/ls_forcing_mod.f90	(revision 2070)
+++ /palm/trunk/SOURCE/ls_forcing_mod.f90	(revision 2071)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Small bugfix (Resler)
 ! 
 ! Former revisions:
@@ -217,7 +217,4 @@
        ENDDO
 
-       shf_surf  = shf_surf  * heatflux_input_conversion(nzb)
-       qsws_surf = qsws_surf * waterflux_input_conversion(nzb)
-
        IF ( time_surf(1) > end_time )  THEN
           WRITE ( message_string, * ) 'No time dependent surface variables in ',&
@@ -226,4 +223,7 @@
           CALL message( 'ls_forcing', 'PA0371', 0, 0, 0, 6, 0 )
           lsf_surf = .FALSE.
+       ELSE
+          shf_surf  = shf_surf  * heatflux_input_conversion(nzb)
+          qsws_surf = qsws_surf * waterflux_input_conversion(nzb)
        ENDIF
 
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2070)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2071)
@@ -21,5 +21,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Small bugfix (Resler)
 ! 
 ! Former revisions:
@@ -422,5 +422,5 @@
     INTEGER(iwp), PARAMETER                        :: icsurf   = 5         !< Surface skin layer heat capacity (J mâ2 Kâ1 )
     INTEGER(iwp), PARAMETER                        :: ithick   = 6         !< thickness of the surface (wall, roof, land)  ( m )
-    INTEGER(iwp), PARAMETER                        :: irhoC    = 7         !< volumetric heat capacity rho_ocean*C of the material ( J mâ3 Kâ1 )
+    INTEGER(iwp), PARAMETER                        :: irhoC    = 7         !< volumetric heat capacity rho*C of the material ( J mâ3 Kâ1 )
     INTEGER(iwp), PARAMETER                        :: ilambdah = 8         !< thermal conductivity Î»H of the wall (W mâ1 Kâ1 )
     CHARACTER(12), DIMENSION(:), ALLOCATABLE       :: surface_type_names   !< names of wall types (used only for reports)
@@ -2889,5 +2889,5 @@
         IF ( plant_canopy )  THEN
             pchf_prep(:) = r_d * (hyp(nzub:nzut) / 100000.0_wp)**0.286_wp &
-                        / (cp * hyp(nzub:nzut) * dx*dy*dz) !< equals to 1 / (rho_ocean * c_p * Vbox * T)
+                        / (cp * hyp(nzub:nzut) * dx*dy*dz) !< equals to 1 / (rho * c_p * Vbox * T)
         ENDIF
 
@@ -3035,5 +3035,5 @@
                 IF ( surf(id, isurfsrc) >= isky )  THEN
 !--                 Diffuse rad from boundary surfaces. See comments for svf above.
-                    pcbinsw(ipcgb) = pcbinsw(ipcgb) + svf(1,isvf) * svf(2,isvf) * rad_sw_in_diff(j,i)
+                    pcbinsw(ipcgb) = pcbinsw(ipcgb) + csf(1,icsf) * csf(2,icsf) * rad_sw_in_diff(j,i)
 !--                 canopy shading is applied only to shortwave, therefore no absorbtion for lw
 !--                 pcbinlw(ipcgb) = pcbinlw(ipcgb) + svf(1,isvf) * rad_lw_in_diff(j,i)
@@ -3047,5 +3047,5 @@
                     pc_abs_frac = 1._wp - exp(pc_abs_eff * lad_s(k,j,i))
                     pcbinsw(ipcgb) = pcbinsw(ipcgb) &
-                        + rad_sw_in_dir(j, i) * pc_box_area * svf(2,isvf) * pc_abs_frac
+                        + rad_sw_in_dir(j, i) * pc_box_area * csf(2,icsf) * pc_abs_frac
                 ENDIF
             ENDDO
@@ -3496,5 +3496,5 @@
           ENDIF
 #if defined( __parallel )
-          CALL MPI_BARRIER( comm2d, ierr )
+          CALL MPI_Barrier( comm2d, ierr )
 #endif
        ENDDO
@@ -3866,5 +3866,5 @@
             ENDIF
             
-!--         volumetric heat capacity rho_ocean*C of the wall ( J mâ3 Kâ1 )
+!--         volumetric heat capacity rho*C of the wall ( J mâ3 Kâ1 )
             rho_c_wall(:,l) = surface_params(irhoC, ip)
             
@@ -3933,5 +3933,5 @@
             pt1  = pt(k,j,i)
 
-!--         calculate rho_ocean * cp coefficient at surface layer
+!--         calculate rho * cp coefficient at surface layer
             rho_cp  = cp * hyp(k) / ( r_d * pt1 * exn(k) )
 
@@ -4246,5 +4246,5 @@
           ENDIF
 #if defined( __parallel )
-          CALL MPI_BARRIER( comm2d, ierr )
+          CALL MPI_Barrier( comm2d, ierr )
 #endif
        ENDDO